## net.dontdrinkandroot.lastfm.api.model
Class Scrobble

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.model.LfmEntity
          net.dontdrinkandroot.lastfm.api.model.Scrobble

All Implemented Interfaces:
  java.io.Serializable

    public class Scrobble

extends LfmEntity

See Also:
  Serialized Form

Constructor Summary
`Scrobble(org.w3c.dom.Element element)`

Method Summary
`java.lang.String` `getAlbum()`
`java.lang.String` `getAlbumArtist()`
`java.lang.String` `getArtist()`
`java.lang.String` `getIgnoredMessage()`
`int` `getIgnoredMessageCode()`
`java.lang.Long` `getTimestamp()`
`java.lang.String` `getTrack()`
`boolean` `isAlbumArtistCorrected()`
`boolean` `isAlbumCorrected()`
`boolean` `isArtistCorrected()`
`boolean` `isTrackCorrected()`
`void` `setAlbum(java.lang.String album)`
`void` `setAlbumArtist(java.lang.String albumArtist)`
`void` `setAlbumArtistCorrected(boolean albumArtistCorrected)`
`void` `setAlbumCorrected(boolean albumCorrected)`
`void` `setArtist(java.lang.String artist)`
`void` `setArtistCorrected(boolean artistCorrected)`
`void` `setIgnoredMessage(java.lang.String ignoredMessage)`
`void` `setIgnoredMessageCode(int ignoredMessageCode)`
`void` `setTimestamp(java.lang.Long timestamp)`
`void` `setTrack(java.lang.String track)`
`void` `setTrackCorrected(boolean trackCorrected)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Scrobble

    public Scrobble(org.w3c.dom.Element element)

Method Detail

### getTrack

    public java.lang.String getTrack()

### setTrack

    public void setTrack(java.lang.String track)

### isTrackCorrected

    public boolean isTrackCorrected()

### setTrackCorrected

    public void setTrackCorrected(boolean trackCorrected)

### getArtist

    public java.lang.String getArtist()

### setArtist

    public void setArtist(java.lang.String artist)

### isArtistCorrected

    public boolean isArtistCorrected()

### setArtistCorrected

    public void setArtistCorrected(boolean artistCorrected)

### getAlbum

    public java.lang.String getAlbum()

### setAlbum

    public void setAlbum(java.lang.String album)

### isAlbumCorrected

    public boolean isAlbumCorrected()

### setAlbumCorrected

    public void setAlbumCorrected(boolean albumCorrected)

### getAlbumArtist

    public java.lang.String getAlbumArtist()

### setAlbumArtist

    public void setAlbumArtist(java.lang.String albumArtist)

### isAlbumArtistCorrected

    public boolean isAlbumArtistCorrected()

### setAlbumArtistCorrected

    public void setAlbumArtistCorrected(boolean albumArtistCorrected)

### getTimestamp

    public java.lang.Long getTimestamp()

### setTimestamp

    public void setTimestamp(java.lang.Long timestamp)

### getIgnoredMessage

    public java.lang.String getIgnoredMessage()

### setIgnoredMessage

    public void setIgnoredMessage(java.lang.String ignoredMessage)

### getIgnoredMessageCode

    public int getIgnoredMessageCode()

### setIgnoredMessageCode

    public void setIgnoredMessageCode(int ignoredMessageCode)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2012. All Rights Reserved.